%define api_version	0.1
%define lib_major	2
%define lib_name	%mklibname gxps %{lib_major}
%define gi_name		%mklibname gxps-gir %{api_version}
%define develname	%mklibname -d gxps

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GObject based library for handling and rendering XPS documents
Name:		libgxps
Version:	0.2.5
%define subrel  1
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         9d5d292055250ed298f3b89dc332d6db4003a031.patch
BuildRequires: pkgconfig(cairo) >= 1.10.0
BuildRequires: pkgconfig(cairo-pdf)
BuildRequires: pkgconfig(cairo-ps)
BuildRequires: pkgconfig(cairo-svg)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gio-2.0) >= 2.24
BuildRequires: pkgconfig(glib-2.0) >= 2.24
BuildRequires: pkgconfig(gobject-2.0) >= 2.24
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libarchive) >= 2.8.0
BuildRequires: pkgconfig(libpng)
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(libtiff-4)
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.5

%description
libgxps is a GObject based library for handling and rendering XPS documents.

%package -n %{lib_name}
Summary:	Libraries for libgxps
Group:		System/Libraries
Recommends:	%{name}-tools = %{version}

%description -n %{lib_name}
libgxps is a GObject based library for handling and rendering XPS documents.

%package tools
Summary: Tools used by libgxps
Group: System/Libraries

%description tools
libgxps is a GObject based library for handling and rendering XPS documents.

This package contains various tools used by libgxps.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libgxps
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libgxps.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for libgxps
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}

%description -n %{develname}
libgxps is a GObject based library for handling and rendering XPS documents.

This package contains the files necessary to develop applications with libgxps.

%prep
%autosetup -p1

%build
%configure2_5x \
	--disable-static
%make

%install
%make_install

rm -f %buildroot%_libdir/*.la

%files -n %{lib_name}
%{_libdir}/libgxps.so.%{lib_major}{,.*}

%files tools
%{_bindir}/*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GXPS-%{api_version}.typelib

%files -n %{develname}
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Tue Aug 15 2017 neoclust <neoclust> 0.2.5-1.1.mga6
+ Revision: 1141077
- Add P0 - Fixes CVE-2017-11590 (mga#21526)

* Sat Feb 25 2017 ovitters <ovitters> 0.2.5-1.mga6
+ Revision: 1087769
- new version 0.2.5

* Mon Sep 26 2016 tv <tv> 0.2.4-2.mga6
+ Revision: 1056887
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 18 2016 ovitters <ovitters> 0.2.4-1.mga6
+ Revision: 1053898
- new version 0.2.4

* Thu Feb 11 2016 umeabot <umeabot> 0.2.3.2-2.mga6
+ Revision: 955562
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 fwang <fwang> 0.2.3.2-1.mga6
+ Revision: 873355
- 0.2.3.2

* Thu Aug 20 2015 ovitters <ovitters> 0.2.3.1-1.mga6
+ Revision: 866964
- add upstream patch to fix build
- new version 0.2.3.1
- new version 0.2.3

* Mon Jun 29 2015 wally <wally> 0.2.2-9.mga6
+ Revision: 847548
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-8.mga5
+ Revision: 747493
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.2.2-7.mga5
+ Revision: 724918
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-6.mga5
+ Revision: 681519
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jul 02 2014 ovitters <ovitters> 0.2.2-5.mga5
+ Revision: 642526
+ rebuild (emptylog)

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-5.mga4
+ Revision: 528870
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 0.2.2-4.mga4
+ Revision: 447749
- rebuild for new libarchive

* Mon Jun 03 2013 fwang <fwang> 0.2.2-3.mga4
+ Revision: 435500
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 357451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 ovitters <ovitters> 0.2.2-1.mga2
+ Revision: 224308
- new version 0.2.2

* Sat Jan 21 2012 fwang <fwang> 0.2.1-1.mga2
+ Revision: 199060
- new version 0.2.1

* Wed Jan 04 2012 fwang <fwang> 0.2.0-3.mga2
+ Revision: 190641
- rebuild for new libarchive

* Fri Dec 23 2011 fwang <fwang> 0.2.0-2.mga2
+ Revision: 186325
- br gtk-doc
- use gnome-autogen
- fix linkage
- rebuild for new libtiff

* Wed Nov 23 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 171122
- add br
- imported package libgxps

